Bug 206668 - The debugger variables tab should recognize java.util.Date objects and display the value in a human readable format
The debugger variables tab should recognize java.util.Date objects and displa...
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Java
-S1S-
PC Windows 7
: P3 (vote)
: 7.4
Assigned To: Martin Entlicher
issues@debugger
: PLAN
Depends on: 228894 228909
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-23 14:50 UTC by rdelaplante
Modified: 2013-05-15 13:30 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rdelaplante 2011-12-23 14:50:59 UTC
I sometimes find myself using the debugger on Java projects and want to see the value of a Date object.  I have to copy the unix time from the object, then google  a website to help convert it to a human readable format.  I would like to be able to see the human readable format right in the debugger.
Comment 1 Martin Entlicher 2013-04-30 09:10:52 UTC
We've introduced a generic property editor, that delegates to any registered property editor of appropriate type.
changeset:   252312:57934395707e
http://hg.netbeans.org/core-main/rev/57934395707e
Comment 2 Quality Engineering 2013-05-04 01:46:45 UTC
Integrated into 'main-golden', will be available in build *201305032300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/57934395707e
User: mentlicher@netbeans.org
Log: #206668, #212827: Generic variable property editor is introduced. It delegates to any registered property editor of appropriate type.
Comment 3 Jiri Kovalsky 2013-05-15 13:30:14 UTC
Product Version: NetBeans IDE Dev (Build 201305142300)
Java: 1.7.0_21; Java HotSpot(TM) 64-Bit Server VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b11
System: Linux version 3.0.0-12-generic running on amd64; UTF-8; cs_CZ (nb)
User directory: /home/cesilko/.netbeans/dev
Cache directory: /home/cesilko/.cache/netbeans/dev


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo